# DASetFieldName

Sets the names of individual field components in multicomponent vectors associated with a DA.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetFieldName(DA da,PetscInt nf,const char name[])

Not Collective

### Input Parameters

| da | - the distributed array
| nf | - field number for the DA (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DA
| names | - the name of the field (component)

### Keywords

distributed array, get, component name

### See Also

DAGetFieldName()

Level:intermediate
Location: src/dm/da/src/dacorn.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex31.c.html